Bug 1669768 - Pull some upstream patches
Summary: Pull some upstream patches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-26 21:55 UTC by Rafal Luzynski
Modified: 2019-02-01 01:41 UTC (History)
10 users (show)

Fixed In Version: gtk2-2.24.32-4.fc29 gtk2-2.24.32-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-29 02:54:39 UTC


Attachments (Terms of Use)
A simple test program (displays a calendar) (858 bytes, text/x-csrc)
2019-01-26 21:55 UTC, Rafal Luzynski
no flags Details

Description Rafal Luzynski 2019-01-26 21:55:24 UTC
Created attachment 1523814 [details]
A simple test program (displays a calendar)

Description of problem:

There are some problems fixed upstream long ago but Fedora still provides the old version of GTK2.

Version-Release number of selected component (if applicable):

gtk2-2.24.32-2


How reproducible:

Always.


Steps to Reproduce:
1. See the attached test program (displays a GTK calendar).
2. Compile according to the instructions.
3. Execute in some locales including your favourite inflected language (Czech, Russian, Polish, Armenian, Greek, Lithuanian, etc.)


Actual results:

1. While compiling with a C++ compiler there are lots of warnings: unnecessary parentheses in declaration of ‘__gtk_reserved1’ [-Wparentheses]
2. The calendar widget displays months in an incorrect grammatical form (genitive while nominative is required). Compare this with GTK3 where the months are displayed correctly.


Expected results:

1. No warnings from the GTK2 headers.
2. Month names displayed in a correct grammatical form in all languages.


Additional info:

I report this for Rawhide but actually the same problem appears in all currently supported Fedora versions. Would you consider backporting the fix to older systems as well?

The calendar issue has been fixed by this commit:
https://gitlab.gnome.org/GNOME/gtk/commit/2ea743a

The compiler warnings have been fixed by this commit:
https://gitlab.gnome.org/GNOME/gtk/commit/889a63d

Comment 1 Fedora Update System 2019-01-27 07:29:45 UTC
gtk2-2.24.32-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ed591bb7c7

Comment 2 Fedora Update System 2019-01-27 07:29:48 UTC
gtk2-2.24.32-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d9c73a4f66

Comment 3 Fedora Update System 2019-01-28 01:02:26 UTC
gtk2-2.24.32-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d9c73a4f66

Comment 4 Fedora Update System 2019-01-28 02:24:45 UTC
gtk2-2.24.32-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ed591bb7c7

Comment 5 Fedora Update System 2019-01-29 02:54:39 UTC
gtk2-2.24.32-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-02-01 01:41:46 UTC
gtk2-2.24.32-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.